## class ReplaceTextCmd : public Command

> abstract command class for replacing text of all text shapes.

## Inheritance:

### Public Methods

  | ReplaceTextCmd (ShapeView *v, const string *s1, const string *s2, bool sens, bool substr, bool nameOnly)
  virtual | ~ReplaceTextCmd ()
  void | UnExecute ()
  void | ReExecute ()

### Protected Fields

  ShapeView* | view
  Diagram* | diagram
  List <GShape *> * | oldSelection
  List <TextShape *> * | textShapes
  List <string *> * | oldStrings
  List <Point *> * | oldSizes
  string* | pattern
  string* | replace
  bool | caseSensitive
  bool | substring
  bool | nameOnly

### Protected Methods

  Diagram* | GetDiagram ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void Execute()
virtual void Abort()
bool CmdDone() const
virtual const char* GetName() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for replacing text of all text shapes.

`ReplaceTextCmd(ShapeView *v, const string *s1, const string *s2, bool sens, bool substr, bool nameOnly)`

`virtual ~ReplaceTextCmd()`

`void UnExecute()`

`void ReExecute()`

`Diagram* GetDiagram()`

`ShapeView* view`

`Diagram* diagram`

`List <GShape *> * oldSelection`

`List <TextShape *> * textShapes`

`List <string *> * oldStrings`

`List <Point *> * oldSizes`

`string* pattern`

`string* replace`

`bool caseSensitive`

`bool substring`

`bool nameOnly`

Direct child classes:
  ReplaceNextTextCmd
  ReplaceAllTextsCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de